logica

## Class Search

- java.lang.Object
- - logica.Search

    public class Search
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Search()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Actividad` `buscarActividad(Asignatura asignatura, java.util.Date fecha, java.lang.String tipo)` Busca una actividad especifica en el sistema
`static Actividad[]` `buscarActividades()` Busca la lista total de actividades en el sistema.
`static Actividad[]` `buscarActividades(Asignatura asignatura)` Busca la lista de actividades que pertencen a una asignatura
`static Actividad[]` `buscarActividades(java.util.Date fecha)` Busca la lista de actividades en una fecha especifica
`static Actividad[]` `buscarActividades(java.lang.String tipo)` Busca una lista de actividades segun su tipo.
`static Anotacion` `buscarAnotacion(Estudiante estudiante, Profesor profesor, java.lang.String descripcion, boolean positiva)` Busca una anotacion especifica en el sistema
`static Anotacion[]` `buscarAnotaciones()` Busca la lista de anotaciones total del sistema.
`static Anotacion[]` `buscarAnotaciones(Estudiante estudiante)` Busca una lista de anotaciones de un estudiante
`static Anotacion[]` `buscarAnotaciones(Profesor profesor)` Busca una lista de anotaciones ingresadas por un profesor
`static Apoderado` `buscarApoderado(java.lang.String rut)` Busca un apoderado en especifico en el sistema, solo necesita su rut ya que estos debieran ser unicos.
`static Apoderado[]` `buscarApoderados()` Busca la lista de apoderados total del sistema
`static Apoderado[]` `buscarApoderados(Colegio colegio)` Busca la lista de apoderados de un colegio
`static Asignatura` `buscarAsignatura(java.lang.String nombre, Curso curso)` Busca una asignatura especifica en el sistema.
`static Asignatura[]` `buscarAsignaturas()` Busca todas las asignaturas del sistema.
`static Asignatura[]` `buscarAsignaturas(Curso curso)` Busca la lista de asignaturas de un curso.
`static Asignatura[]` `buscarAsignaturas(Profesor profesor)` Busca la lista de asignaturas que imparte un profesor
`static Asistencia` `buscarAsistencia(Estudiante estudiante, java.util.Date dia, boolean asistio)` Busca una asistencia especifica en el sistema.
`static Asistencia[]` `buscarAsistencias()` Busca la lista de asistencias que existen en el sistema.
`static Asistencia[]` `buscarAsistencias(Estudiante estudiante)` Busca la lista de asistencias de un estudiante.
`static Colegio` `buscarColegio(java.lang.String nombre)` Busca un colegio especifico.
`static Colegio[]` `buscarColegios()` Busca todos los colegios en el sistema
`static Curso` `buscarCurso(int nivel, java.lang.String letra)` Busca un curso especifico en el sistema
`static Curso[]` `buscarCursos()` Busca todos los cursos existentes en el sistema
`static Curso[]` `buscarCursos(Colegio colegio)` Busca la lista de cursos en un colegio.
`static Estudiante` `buscarEstudiante(java.lang.String rut)` Busca un estudiante especifico segun su rut, ya que este debe ser unico
`static Estudiante[]` `buscarEstudiantes()` Busca todos los estudiantes del sistema.
`static Estudiante[]` `buscarEstudiantes(Apoderado apoderado)` Busca la lista de estudiantes de un apoderado
`static Estudiante[]` `buscarEstudiantes(Curso curso)` Busca la lista de estudiantes de un curso.
`static Nota` `buscarNota(Estudiante estudiante, Asignatura asignatura, double valor)` Busca una nota especifica en el sistema
`static Nota[]` `buscarNotas()` Busca las notas presentes en el sistema.
`static Nota[]` `buscarNotas(Asignatura asignatura)` Busca la lista de notas en una asignatura.
`static Nota[]` `buscarNotas(Estudiante estudiante)` Busca la lista de notas de un estudiante
`static Profesor` `buscarProfesor(java.lang.String rut)` Busca un profesor especifico segun su rut, ya que este debe ser unico
`static Profesor[]` `buscarProfesores()`
`static Profesor[]` `buscarProfesores(Colegio colegio)` Busca la lista de profesores en un colegio
`static Profesor[]` `buscarProfesores(Curso curso)` Busca la lista de profesores que hacen clases a un curso

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Search

    public Search()

### Method Detail

#### buscarActividad

    public static Actividad buscarActividad(Asignatura asignatura,
                                            java.util.Date fecha,
                                            java.lang.String tipo)

Busca una actividad especifica en el sistema

Parameters:
  `asignatura` - Asignatura a la que pertenece
  `fecha` - fecha en la cual se realizara la actividad
  `tipo` - el tipo de actividad
Returns:
  retorna la actividad si la encuentra, si no retorna un null.

#### buscarActividades

    public static Actividad[] buscarActividades(Asignatura asignatura)

Busca la lista de actividades que pertencen a una asignatura

Parameters:
  `asignatura` - Asignatura a la que pertenecen
Returns:
  la lista de actividades, si es que encuentra, si no retornara un null.

#### buscarActividades

    public static Actividad[] buscarActividades(java.util.Date fecha)

Busca la lista de actividades en una fecha especifica

Parameters:
  `fecha` - fecha a la cual pertenecen
Returns:
  la lista de actividades, si es que encuentra, si no retornara un null.

#### buscarActividades

    public static Actividad[] buscarActividades(java.lang.String tipo)

Busca una lista de actividades segun su tipo.

Parameters:
  `tipo` - tipo al que pertenecen
Returns:
  la lista de actividades, si es que encuentra, si no retornara un null.

#### buscarActividades

    public static Actividad[] buscarActividades()

Busca la lista total de actividades en el sistema.

Returns:
  la lista de actividades, si es que encuentra, si no retornara un null.

#### buscarAnotacion

    public static Anotacion buscarAnotacion(Estudiante estudiante,
                                            Profesor profesor,
                                            java.lang.String descripcion,
                                            boolean positiva)

Busca una anotacion especifica en el sistema

Parameters:
  `estudiante` - Estudiante al que pertenece la anotacion
  `profesor` - Profesor que la ingreso
  `descripcion` - Descripcion de la anotacion
  `positiva` - si la anotacion fue positiva o no.
Returns:
  la anotacion buscada, si es que encuentra, si no retornara un null.

#### buscarAnotaciones

    public static Anotacion[] buscarAnotaciones(Estudiante estudiante)

Busca una lista de anotaciones de un estudiante

Parameters:
  `estudiante` - Estudiante al que pertenecen las anotaciones
Returns:
  la lista de anotaciones, si es que encuentra, si no retornara un null.

#### buscarAnotaciones

    public static Anotacion[] buscarAnotaciones(Profesor profesor)

Busca una lista de anotaciones ingresadas por un profesor

Parameters:
  `profesor` - Profesor que ingreso las anotaciones
Returns:
  la lista de anotaciones, si es que encuentra, si no retornara un null.

#### buscarAnotaciones

    public static Anotacion[] buscarAnotaciones()

Busca la lista de anotaciones total del sistema.

Returns:
  la lista de anotaciones, si es que encuentra, si no retornara un null.

#### buscarApoderado

    public static Apoderado buscarApoderado(java.lang.String rut)

Busca un apoderado en especifico en el sistema, solo necesita su rut ya que estos debieran ser unicos.

Parameters:
  `rut` - Rut del apoderado
Returns:
  El apoderado buscado, si lo encuentra, si no retorna un null.

#### buscarApoderados

    public static Apoderado[] buscarApoderados(Colegio colegio)

Busca la lista de apoderados de un colegio

Parameters:
  `colegio` - Colegio al que pertenecen los apoderados
Returns:
  la lista de apoderados, si es que encuentra, si no retornara un null.

#### buscarApoderados

    public static Apoderado[] buscarApoderados()

Busca la lista de apoderados total del sistema

Returns:
  la lista de apoderados, si es que encuentra, si no retornara un null.

#### buscarAsignatura

    public static Asignatura buscarAsignatura(java.lang.String nombre,
                                              Curso curso)

Busca una asignatura especifica en el sistema.

Parameters:
  `nombre` - Nombre de la asignatura
  `curso` - Curso al que pertenece
Returns:
  retorna la asignatura buscada, si la encuentra, si no retorna un null.

#### buscarAsignaturas

    public static Asignatura[] buscarAsignaturas(Curso curso)

Busca la lista de asignaturas de un curso.

Parameters:
  `curso` - Curso al que pertence la asignatura
Returns:
  la lista de asignaturas, si es que encuentra, si no retorna un null

#### buscarAsignaturas

    public static Asignatura[] buscarAsignaturas(Profesor profesor)

Busca la lista de asignaturas que imparte un profesor

Parameters:
  `profesor` - Profesor que imparte las asignaturas
Returns:
  la lista de asignaturas, si es que encuentra, si no retorna un null

#### buscarAsignaturas

    public static Asignatura[] buscarAsignaturas()

Busca todas las asignaturas del sistema.

Returns:
  la lista de asignaturas, si es que encuentra, si no retorna un null

#### buscarAsistencia

    public static Asistencia buscarAsistencia(Estudiante estudiante,
                                              java.util.Date dia,
                                              boolean asistio)

Busca una asistencia especifica en el sistema.

Parameters:
  `estudiante` - Estudiante al que pertenece
  `dia` - Dia en que ocurrio
  `asistio` - si asistio o no
Returns:
  La asistencia especifica buscada, si la encuentra, si no retorna null.

#### buscarAsistencias

    public static Asistencia[] buscarAsistencias(Estudiante estudiante)

Busca la lista de asistencias de un estudiante.

Parameters:
  `estudiante` - Estudiante al que pertenecen las asistencias
Returns:
  la lista de asistencias si las encuentra, si no retorna un null

#### buscarAsistencias

    public static Asistencia[] buscarAsistencias()

Busca la lista de asistencias que existen en el sistema.

Returns:
  la lista de asistencias si las encuentra, si no retorna un null

#### buscarColegio

    public static Colegio buscarColegio(java.lang.String nombre)

Busca un colegio especifico.

Parameters:
  `nombre` - Nombre del colegio buscado (Tal vez se deba cambiar por un id)
Returns:
  El colegio buscado si se encuentra, si no retorna null.

#### buscarColegios

    public static Colegio[] buscarColegios()

Busca todos los colegios en el sistema

Returns:
  La lista de colegios si encuentra, si no retorna un null

#### buscarCurso

    public static Curso buscarCurso(int nivel,
                                    java.lang.String letra)

Busca un curso especifico en el sistema

Parameters:
  `nivel` - Nivel del curso
  `letra` - Letra del curso
Returns:
  El curso buscado si lo encuentra, si no retorna null

#### buscarCursos

    public static Curso[] buscarCursos(Colegio colegio)

Busca la lista de cursos en un colegio.

Parameters:
  `colegio` - Colegio en el que se buscara
Returns:
  la lista de cursos si es que encuentra, si no retorna un null

#### buscarCursos

    public static Curso[] buscarCursos()

Busca todos los cursos existentes en el sistema

Returns:
  la lista de cursos si es que encuentra, si no retorna un null

#### buscarEstudiante

    public static Estudiante buscarEstudiante(java.lang.String rut)

Busca un estudiante especifico segun su rut, ya que este debe ser unico

Parameters:
  `rut` - Rut del estudiante a buscar
Returns:
  el estudiante buscado si lo encuentra, si no retorna un null

#### buscarEstudiantes

    public static Estudiante[] buscarEstudiantes(Curso curso)

Busca la lista de estudiantes de un curso.

Parameters:
  `curso` - Curso en el que se buscara
Returns:
  La lista de estudiantes si es que encuentra, si no retornara un null

#### buscarEstudiantes

    public static Estudiante[] buscarEstudiantes(Apoderado apoderado)

Busca la lista de estudiantes de un apoderado

Parameters:
  `apoderado` - apoderado al que pertenecen los estudiantes a buscar
Returns:
  La lista de estudiante si es que encuentra, si no retornara null.

#### buscarEstudiantes

    public static Estudiante[] buscarEstudiantes()

Busca todos los estudiantes del sistema.

Returns:
  La lista de estudiantes, si es que encuentra

#### buscarNota

    public static Nota buscarNota(Estudiante estudiante,
                                  Asignatura asignatura,
                                  double valor)

Busca una nota especifica en el sistema

Parameters:
  `estudiante` - Estudiante al que pertenece la nota
  `asignatura` - Asignatura a la que pertene la nota
  `valor` - Valor de la nota
Returns:
  La nota buscada, si es que la encuentra, si no retornara null.

#### buscarNotas

    public static Nota[] buscarNotas(Estudiante estudiante)

Busca la lista de notas de un estudiante

Parameters:
  `estudiante` - Estudiante al que pertenecen las notas
Returns:
  La lista de notas si encuentra, si no retornara null.

#### buscarNotas

    public static Nota[] buscarNotas(Asignatura asignatura)

Busca la lista de notas en una asignatura.

Parameters:
  `asignatura` - Asignatura a la que pertenecen las notas
Returns:
  la lista de notas si es que encuentra, si no retornara un null

#### buscarNotas

    public static Nota[] buscarNotas()

Busca las notas presentes en el sistema.

Returns:
  La lista de notas si es que encuentra, si no retorna null.

#### buscarProfesor

    public static Profesor buscarProfesor(java.lang.String rut)

Busca un profesor especifico segun su rut, ya que este debe ser unico

Parameters:
  `rut` - Rut del profesor a buscar
Returns:
  El profesor buscado si lo encuentra, si no retornara un null

#### buscarProfesores

    public static Profesor[] buscarProfesores(Curso curso)

Busca la lista de profesores que hacen clases a un curso

Parameters:
  `curso` - Curso al cual hacen clases los profesores
Returns:
  La lista de profesores si es que encuentra, si no retornara un null

#### buscarProfesores

    public static Profesor[] buscarProfesores(Colegio colegio)

Busca la lista de profesores en un colegio

Parameters:
  `colegio` - Colegio en el que se buscaran los profesores
Returns:
  La lista de profesores si es que encuentra, si no retornara un null

#### buscarProfesores

    public static Profesor[] buscarProfesores()